View Issue Details

IDProjectCategoryView StatusLast Update
0002455CaseTalk ModelerRepositorypublic2020-05-14 17:40
ReporterBCP SoftwareAssigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version10.1Fixed in Version10.1 
Summary0002455: Support Abstract Supertype
DescriptionThe abstract supertype is a setting on an SuperObjectType which is marked abstract. This requires a subtype instancing, and therefor an inter-TC over all available subtypes. This requirement makes the TC appear on subtypes, and all future subtypes. Removing a subtype should adjust the TC instead of removing it.

Merging an abstract supertype should also take this Abstract-indicator to adjust or add the TC in the target model.
TagsNo tags attached.
CaseTalk Editionunknown

Relationships

related to 0002475 resolvedBCP Software Expand/Reduce TC Roles 
related to 0002476 resolvedBCP Software Validate for TC's on Abstract Supertypes 
related to 0002496 resolvedBCP Software Supertype Flags on Object Types 

Activities

BCP Software

BCP Software

2020-05-01 16:38

administrator   ~0001623

Abstract Supertype will be visualized using a dashed ellipse instead of a closed ellipse. This way the abstract types can be visually recognized in diagrams.
BCP Software

BCP Software

2020-05-01 17:07

administrator   ~0001624

.. And similar to the UML Abstract Class standard, the OTFT Name will be printed in italics.
BCP Software

BCP Software

2020-05-02 18:30

administrator   ~0001625

The repository will receive two new columns for the OTFT table: IsAbstract:char(1) and IsSupertype:char(1).
BCP Software

BCP Software

2020-05-14 17:40

administrator   ~0001642

Model well-formedness validates for both subtypes missing from the TC, as well as missing TC from an abstract supertype.

Issue History

Date Modified Username Field Change
2020-04-20 16:29 BCP Software New Issue
2020-04-20 16:29 BCP Software Status new => assigned
2020-04-20 16:29 BCP Software Assigned To => BCP Software
2020-04-20 16:29 BCP Software Target Version Future => 10.1
2020-05-01 16:38 BCP Software Note Added: 0001623
2020-05-01 17:07 BCP Software Note Added: 0001624
2020-05-02 18:30 BCP Software Note Added: 0001625
2020-05-03 10:47 BCP Software Relationship added related to 0002475
2020-05-03 10:48 BCP Software Status assigned => resolved
2020-05-03 10:48 BCP Software Resolution open => fixed
2020-05-03 10:48 BCP Software Fixed in Version => 10.1
2020-05-03 10:49 BCP Software Relationship added related to 0002476
2020-05-11 11:19 BCP Software Relationship added related to 0002496
2020-05-14 17:40 BCP Software Note Added: 0001642